Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ve
Class BeliefNetwork

    java.lang.Object
      |
      +--ve.DecisionNetwork
            |
            +--ve.DecisionNetworkFromCIspaceFormat
                  |
                  +--ve.BeliefNetwork

Direct Known Subclasses:
  BeliefNetFromCBN

public class BeliefNetwork
extends DecisionNetworkFromCIspaceFormat

A BeliefNetwork contains a tuple of Variables (each with a domain) and a set of conditional probability tables, here represented as a `FactorCPT`.

Fields inherited from class ve.DecisionNetwork
`maxDomainSize, maxFactorSize, numProbFactors, numVariables, probFactors, stringToVar, variables`

Constructor Summary
`BeliefNetwork(java.lang.String s, int maxVariables)` constructs a belief network from the extended CIspace representation.
`BeliefNetwork(Variable[] vars, int numVars)` constructs a belief network for the corresponding variables

Methods inherited from class ve.DecisionNetworkFromCIspaceFormat
`sorted, stringToFamily, stringToParents, stringToStringArray`

Methods inherited from class ve.DecisionNetwork
`getNumProbFactors, getNumVariables, getProbFactors, getSize, getStringToVar, getVariables, mysort, print, printBrief`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### BeliefNetwork

    public BeliefNetwork(java.lang.String s,
                         int maxVariables)

  constructs a belief network from the extended CIspace representation. The extended representation lets us have indexes or names as the parents. It assumes that the names are not numbers (otherwise it assumes they are the indexes).
  Parameters:
    `s` - string representation of the belief network
    `maxVariables` - the maximum number of variables allowed

### BeliefNetwork

    public BeliefNetwork(Variable[] vars,
                         int numVars)

  constructs a belief network for the corresponding variables

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD